Geometry Class Reference

`#include <pcl/outofcore/visualization/geometry.h>`

Inheritance diagram for Geometry:

## Public Member Functions

virtual | ~Geometry ()
virtual vtkSmartPointer< vtkActor > | getActor () const
Public Member Functions inherited from Object
| Object (std::string name)
virtual | ~Object ()
std::string | getName () const
void | setName (std::string name)
virtual void | render (vtkRenderer *renderer)
bool | hasActor (vtkActor *actor)
void | addActor (vtkActor *actor)
void | removeActor (vtkActor *actor)
vtkSmartPointer< vtkActorCollection > | getActors ()

## Protected Member Functions

| Geometry (std::string name)

## Additional Inherited Members

Protected Attributes inherited from Object
vtkSmartPointer< vtkActorCollection > | actors_
boost::mutex | actors_mutex_

## Detailed Description

Definition at line 14 of file geometry.h.

## Constructor & Destructor Documentation

Geometry::Geometry | ( | std::string | name | ) |

inline protected

Definition at line 20 of file geometry.h.

virtual Geometry::~Geometry | ( |  | ) |

inline virtual

Definition at line 28 of file geometry.h.

## Member Function Documentation

virtual vtkSmartPointer<vtkActor> Geometry::getActor | ( |  | ) | const

inline virtual

Definition at line 35 of file geometry.h.

The documentation for this class was generated from the following file:

- /build/pcl-6_P28C/pcl-1.7.2/outofcore/include/pcl/outofcore/visualization/geometry.h